#include "stdafx.h"
#include <vector>
#include <stdio.h>
#include <string>
#include <cstring>
#include "objloader.h"
#include "glm/glm.hpp"


// Very, VERY simple OBJ loader.

bool loadOBJ(
	const char * path,
	std::vector<glm::vec3> & vertices,
	std::vector<glm::vec3> & vertexIndices
	){
	printf("Loading OBJ file %s...\n", path);

	FILE * file = fopen(path, "r");
	if (file == NULL){
		printf("Impossible to open the file ! Are you in the right path ? \n");
		getchar();
		return false;
	}

	while (1){

		char lineHeader[128];
		// read the first word of the line
		int res = fscanf(file, "%s", lineHeader);
		if (res == EOF)
			break; // EOF = End Of File. Quit the loop.

		// else : parse lineHeader

		if (strcmp(lineHeader, "v") == 0){
			glm::vec3 vertex;
			fscanf(file, "%f %f %f\n", &vertex.x, &vertex.y, &vertex.z);
			vertices.push_back(vertex);
		}
		else if (strcmp(lineHeader, "f") == 0){

			glm::vec3 vertexIndex;
			fscanf(file, "%f %f %f\n", &vertexIndex.x, &vertexIndex.y, &vertexIndex.z);
			vertexIndices.push_back(vertexIndex);
		}
		else{
			// Probably a comment, eat up the rest of the line
			char stupidBuffer[1000];
			fgets(stupidBuffer, 1000, file);
		}

	}

	return true;
}